Subject: Re: [PATCH v2 3/3] docs: update when `git bisect visualize` uses `gitk`

From: Junio C Hamano <[email-masked]>
Date: Thu, 03 Aug 2023 21:32:15 -0700

"Matthias Aßhauer via GitGitGadget"  <[email-masked]>
writes:

> From: =?UTF-8?q?Matthias=20A=C3=9Fhauer?= <[email-masked]>
>
> This check has involved more environment variables than just `DISPLAY` since
> 508e84a790 (bisect view: check for MinGW32 and MacOSX in addition to X11,
> 2008-02-14), so let's update the documentation accordingly.
>
> Signed-off-by: Matthias Aßhauer <[email-masked]>
> ---
>  Documentation/git-bisect.txt | 11 ++++++++---
>  1 file changed, 8 insertions(+), 3 deletions(-)
>
> diff --git a/Documentation/git-bisect.txt b/Documentation/git-bisect.txt
> index fbb39fbdf5d..bec8d2abb22 100644
> --- a/Documentation/git-bisect.txt
> +++ b/Documentation/git-bisect.txt
> @@ -204,9 +204,14 @@ as an alternative to `visualize`):
>  $ git bisect visualize
>  ------------
>  
> -If the `DISPLAY` environment variable is not set, 'git log' is used
> -instead.  You can also give command-line options such as `-p` and
> -`--stat`.
> +Git detects a graphical environment through various environment variables:
> +`DISPLAY`, which is set in X Window System environments on Unix systems.
> +`SESSIONNAME`, which is set under Cygwin in interactive desktop sessions.
> +`MSYSTEM`, which is set under Msys2 and Git for Windows.
> +`SECURITYSESSIONID`, which is set on macOS in interactive desktop sessions.

Great.

> +If none of these environment variables is set, 'git log' is used instead.
> +You can also give command-line options such as `-p` and `--stat`.

Micronit.  I think "is set" want to be "are set", as "none" in "none
of these" is used for "not any" [*].

>  
>  ------------
>  $ git bisect visualize --stat

[Reference]

* https://www.merriam-webster.com/video/is-none-singular-or-plural